Skip to content

# Interface: ConfirmDialogProps

Renderer.Component.ConfirmDialogProps

## Hierarchy

- `Partial`<DialogProps>

↳ ConfirmDialogProps

## Table of contents

### Properties

- animated
- className
- close
- isOpen
- modal
- onClose
- onOpen
- open
- pinned

## Properties

### animated

• `Optional` animated: `boolean`

#### Inherited from

Partial.animated

### className

• `Optional` className: `string`

#### Inherited from

Partial.className

### close

• `Optional` close: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

Partial.close

### isOpen

• `Optional` isOpen: `boolean`

#### Inherited from

Partial.isOpen

### modal

• `Optional` modal: `boolean`

#### Inherited from

Partial.modal

### onClose

• `Optional` onClose: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

Partial.onClose

### onOpen

• `Optional` onOpen: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

Partial.onOpen

### open

• `Optional` open: () => `void`

#### Type declaration

▸ (): `void`

##### Returns

`void`

#### Inherited from

Partial.open

### pinned

• `Optional` pinned: `boolean`

#### Inherited from

Partial.pinned